> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invitation

> Get public invitation details.

Validates the invitation token and returns non-sensitive details
for the acceptance page.

Flow:
1. Validate token exists
2. Validate token not expired
3. Validate token not already accepted
4. Return public details



## OpenAPI

````yaml get /api/v1/invitations/{token}
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/invitations/{token}:
    get:
      tags:
        - invitations
      summary: Get Invitation
      description: |-
        Get public invitation details.

        Validates the invitation token and returns non-sensitive details
        for the acceptance page.

        Flow:
        1. Validate token exists
        2. Validate token not expired
        3. Validate token not already accepted
        4. Return public details
      operationId: get_invitation_api_v1_invitations__token__get
      parameters:
        - name: token
          in: path
          required: true
          schema:
            type: string
            title: Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvitationPublicResponse'
        '404':
          description: Invalid, expired, or already accepted token
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InvitationPublicResponse:
      properties:
        email:
          type: string
          format: email
          title: Email
          description: Email address of the invited user
        account_name:
          type: string
          title: Account Name
          description: Name of the inviting account
        invited_by_name:
          type: string
          title: Invited By Name
          description: Name of the person who invited
        expires_at:
          type: string
          format: date-time
          title: Expires At
          description: Expiration timestamp
        is_valid:
          type: boolean
          title: Is Valid
          description: Whether the invitation is valid
          default: true
      type: object
      required:
        - email
        - account_name
        - invited_by_name
        - expires_at
      title: InvitationPublicResponse
      description: Response schema for public invitation details.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````